## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExecutionContextDefault::ContextNodeListPositionCache Struct Reference

`#include <XPathExecutionContextDefault.hpp>`

Collaboration diagram for XPathExecutionContextDefault::ContextNodeListPositionCache:

[legend]
List of all members.

## Public Methods

- ContextNodeListPositionCache ()
- void clear ()

## Public Attributes

- const XalanNode* m_node
- size_type m_index

## Constructor & Destructor Documentation

XPathExecutionContextDefault::ContextNodeListPositionCache::ContextNodeListPositionCache ( | )

## Member Function Documentation

void XPathExecutionContextDefault::ContextNodeListPositionCache::clear ( | )

## Member Data Documentation

size_type XPathExecutionContextDefault::ContextNodeListPositionCache::m_index

const XalanNode * XPathExecutionContextDefault::ContextNodeListPositionCache::m_node

The documentation for this struct was generated from the following file:

- XPathExecutionContextDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.